Page MenuHomePhabricator

[OpenCL] Test on image access modifiers and image type can only be a type of a function argument.
ClosedPublic

Authored by echuraev on Jul 4 2017, 6:29 AM.

Diff Detail

Event Timeline

echuraev created this revision.Jul 4 2017, 6:29 AM
Anastasia added inline comments.Jul 4 2017, 11:37 AM
test/SemaOpenCL/images.cl
16

Would it be better to rename to make the purpose more clear:
myIndifferent -> myDefault

19

Like above I would try to give the function some descriptive names...

27

I don't get this comment.

34

I don't get this comment too?

38

For consistency we could add

//read_only = read_only
42

I think we test this in test/SemaOpenCL/invalid-image.cl

Feel free to combine in one file if you like.

echuraev updated this revision to Diff 105218.Jul 4 2017, 10:44 PM
echuraev marked 6 inline comments as done.
Anastasia accepted this revision.Jul 5 2017, 9:58 AM
This revision is now accepted and ready to land.Jul 5 2017, 9:58 AM

LGTM! Thanks!

echuraev closed this revision.Jul 6 2017, 12:06 AM